.\" Simple macro set
.\" A. Adamson
.\"
.\" HEADINGS
.nr %h 0 1
.def H		\" Main heading: .H "title"
.nr %s 0 1
.sp 3
.ne 4
.%SaveFont
\f{H:+1}\\n+(%h.  \\$1
.%RestoreFont
.P
..
.def S		\" Secondary heading: .S "title"
.nr %ss 0 1
.sp 2
.ne 4
.%SaveFont
\fH\\n(%h.\\n+(%s  \\$1
.%RestoreFont
.P
..
.def SS		\" Third level heading: .SS "title"
.sp 2
.ne 4
.%SaveFont
\f{H:-1}\\n(%h.\\n(%s.\\n+{%ss}  \\$1
.%RestoreFont
.P
..
.nr %a 0 1
.af %a I
.def A		\" Appendix heading: .A "title"
.bp
.%SaveFont
.ifel \\n(.$=0 \fHAppendix \\n+(%a
.else \fHAppendix \\n+(%a :  \\$1
.%RestoreFont
.sp 2
.P
..
.\" PARAGRAPHS
.nr indent 0.2i
.def P		\" Paragraph: .P
.sp
.ne 2
.ti +\\n{indent}u
..
.\" DISPLAYS
.nr displayindent 0.5i
.def DS		\" Display start: .DS
.in +\\n{displayindent}u
.ds
..
.def DE		\" Display end: .DE
.de
.in -\\n{displayindent}u
..
.\" FONT/SIZE UTILITIES
.def SM		\" Small Caps: .SM "text" ["append" ["prepend"]]
.nr %ps \\n(.s
\&\\$3\s-1\\$1\s{\\n{%ps}}\\$2
..
.def I		\" Italics: .I text [append [prepend]]
\&\\$3\fI\\$1\fP\\$2
..
.def B		\" Bold: .B text [append [prepend]]
\&\\$3\fB\\$1\fP\\$2
..
.\" INTERNAL MACROS
.def %SaveFont		\" Save current font and point-size
.str %Font \\*(.f
.nr %PtSize \\n(.s
..
.def %RestoreFont	\" Restore font and point-size
.ft \\*{%Font} \\n{%PtSize}
..
